Bug 61353 - amanda-server build from ports failed
Summary: amanda-server build from ports failed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: jeh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-14 09:10 UTC by Michael Ranner
Modified: 2004-01-15 16:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Ranner 2004-01-14 09:10:06 UTC
	make of amanda-server failes

cc -O -pipe -march=pentiumpro -o .libs/chg-scsi chg-scsi.o scsi-aix.o scsi-changer-driver.o scsi-hpux_new.o scsi-irix.o scsi-linux.o scsi-solaris.o scsi-bsd.o scsi-cam.o sense.o  ../server-src/.libs/libamserver.so ../tape-src/.libs/libamtape.so ../common-src/.libs/libamanda.so -lm -lreadline -ltermcap -lcam -Wl,--rpath -Wl,/usr/local/lib
scsi-cam.o: In function `SCSI_OS_Version':
scsi-cam.o(.text+0x0): multiple definition of `SCSI_OS_Version'
scsi-bsd.o(.text+0x0): first defined here
scsi-cam.o: In function `SCSI_OpenDevice':
scsi-cam.o(.text+0x110): multiple definition of `SCSI_OpenDevice'
scsi-bsd.o(.text+0x20): first defined here
/usr/libexec/elf/ld: Warning: size of symbol `SCSI_OpenDevice' changed from 719 to 983 in scsi-cam.o
scsi-cam.o: In function `SCSI_CloseDevice':
scsi-cam.o(.text+0x4e8): multiple definition of `SCSI_CloseDevice'
scsi-bsd.o(.text+0x2f0): first defined here
/usr/libexec/elf/ld: Warning: size of symbol `SCSI_CloseDevice' changed from 57 to 99 in scsi-cam.o
scsi-cam.o: In function `SCSI_ExecuteCommand':
scsi-cam.o(.text+0x54c): multiple definition of `SCSI_ExecuteCommand'
scsi-bsd.o(.text+0x32c): first defined here
/usr/libexec/elf/ld: Warning: size of symbol `SCSI_ExecuteCommand' changed from 453 to 457 in scsi-cam.o
scsi-cam.o: In function `Tape_Ioctl':
scsi-cam.o(.text+0x718): multiple definition of `Tape_Ioctl'
scsi-bsd.o(.text+0x4f4): first defined here
scsi-cam.o: In function `Tape_Status':
scsi-cam.o(.text+0x7c8): multiple definition of `Tape_Status'
scsi-bsd.o(.text+0x5a4): first defined here
/usr/libexec/elf/ld: Warning: size of symbol `Tape_Status' changed from 12 to 248 in scsi-cam.o
scsi-cam.o: In function `ScanBus':
scsi-cam.o(.text+0x8c0): multiple definition of `ScanBus'
scsi-bsd.o(.text+0x5b0): first defined here
/usr/libexec/elf/ld: Warning: size of symbol `ScanBus' changed from 12 to 537 in scsi-cam.o
gmake[1]: *** [chg-scsi] Error 1
gmake[1]: Leaving directory `/.amd_mnt/builder/host/usr/ports/misc/amanda-server/work/amanda-2.4.4/changer-src'
gmake: *** [all-recursive] Error 1
*** Error code 2

Stop in /.amd_mnt/builder/host/usr/ports/misc/amanda-server.

Fix: 

no fix
How-To-Repeat: 	cd /usr/ports/misc/amanda-server; make
Comment 1 Michael Ranner 2004-01-14 09:25:35 UTC
Probably a problem with another port, because amanda-server 2.4.3 from
2003.03.07 does also not build on this machine.

-- 
/\/\ichael Ranner

mranner@jawa.at - mranner@bitonline.cc - webmaster@mariazell.at
----------------------------------------------------------------------
JAWA Management Software GmbH - http://www.jawa.at/
  Liebenauer Hauptstrasse 2oo - A-8041 Graz
        Tel +43 316 403274 21 - Fax +43 316 403274 10
----------------------------------------------------------------------
             Mariazell Online - http://www.mariazell.at/
----------------------------------------------------------------------
Comment 2 Michael Ranner 2004-01-14 09:38:44 UTC
problem exists only on 4.8, on 4.9 I can build the old and the latest
port of amanda-server without problems. But it seems that package core
dumps on 4.8 (planner signal 11)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-01-15 09:47:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jeh

Over to maintainer.
Comment 4 jeh freebsd_committer 2004-01-15 10:59:16 UTC
This looks like it is the EXACT same problem as ports/43371 and 
ports/41774 .  Please verify and let me know if it is actually a 
different problem.

Jim

-- 
/"\   ASCII Ribbon Campaign  .
\ / - NO HTML/RTF in e-mail  .
  X  - NO Word docs in e-mail .
/ \ -----------------------------------------------------------------
jeh@FreeBSD.org      http://www.FreeBSD.org     The Power to Serve
jim@TheHousleys.Net  http://www.TheHousleys.net
---------------------------------------------------------------------
A Microsoft Certified Systems Engineer is to computing what
     a McDonalds Certified Food Specialist is to fine cuisine.
       -- Jack O'Neill
Comment 5 jeh freebsd_committer 2004-01-15 10:59:51 UTC
State Changed
From-To: open->feedback

Waiting for feedback from submitter
Comment 6 Michael Ranner 2004-01-15 15:38:50 UTC
Problem is identical with/41774, rm /usr/include/sys/scsiio.h
solves it. Probably we can add a sanity check to amanda-server
port.

Thanks
Comment 7 jeh freebsd_committer 2004-01-15 16:02:01 UTC
State Changed
From-To: feedback->closed

Commited, thanks for you help with this.